- Main Page
- Classes
- Directories

- Class List
- Class Hierarchy
- Class Members

# QsciLexerPerl Class Reference

The QsciLexerPerl class encapsulates the Scintilla Perl lexer. More...

`#include <qscilexerperl.h>`

Inherits QsciLexer.

List of all members.

## Public Types

- enum {
  Default = 0, Error = 1, Comment = 2,
  POD = 3, Number = 4, Keyword = 5,
  DoubleQuotedString = 6, SingleQuotedString = 7, Operator = 10,
  Identifier = 11, Scalar = 12, Array = 13,
  Hash = 14, SymbolTable = 15, Regex = 17,
  Substitution = 18, Backticks = 20, DataSection = 21,
  HereDocumentDelimiter = 22, SingleQuotedHereDocument = 23, DoubleQuotedHereDocument = 24,
  BacktickHereDocument = 25, QuotedStringQ = 26, QuotedStringQQ = 27,
  QuotedStringQX = 28, QuotedStringQR = 29, QuotedStringQW = 30,
  PODVerbatim = 31, SubroutinePrototype = 40, FormatIdentifier = 41,
  FormatBody = 42
  }

## Public Slots

- virtual void setFoldComments (bool fold)
- virtual void setFoldCompact (bool fold)

## Public Member Functions

- QsciLexerPerl (QObject *parent=0)
- virtual ~QsciLexerPerl ()
- const char * language () const
- const char * lexer () const
- int braceStyle () const
- const char * wordCharacters () const
- QColor defaultColor (int style) const
- bool defaultEolFill (int style) const
- QFont defaultFont (int style) const
- QColor defaultPaper (int style) const
- const char * keywords (int set) const
- QString description (int style) const
- void refreshProperties ()
- bool foldComments () const
- bool foldCompact () const

## Protected Member Functions

- bool readProperties (QSettings &qs, const QString &prefix)
- bool writeProperties (QSettings &qs, const QString &prefix) const

## Detailed Description

The QsciLexerPerl class encapsulates the Scintilla Perl lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the Perl lexer.

Enumerator:

  Default | The default.
  Error | An error.
  Comment | A comment.
  POD | A POD.
  Number | A number.
  Keyword | A keyword.
  DoubleQuotedString | A double-quoted string.
  SingleQuotedString | A single-quoted string.
  Operator | An operator.
  Identifier | An identifier.
  Scalar | A scalar.
  Array | An array.
  Hash | A hash.
  SymbolTable | A symbol table.
  Regex | A regular expression.
  Substitution | A substitution.
  Backticks | Backticks.
  DataSection | A data section.
  HereDocumentDelimiter | A here document delimiter.
  SingleQuotedHereDocument | A single quoted here document.
  DoubleQuotedHereDocument | A double quoted here document.
  BacktickHereDocument | A backtick here document.
  QuotedStringQ | A quoted string (q).
  QuotedStringQQ | A quoted string (qq).
  QuotedStringQX | A quoted string (qx).
  QuotedStringQR | A quoted string (qr).
  QuotedStringQW | A quoted string (qw).
  PODVerbatim | A verbatim POD.
  SubroutinePrototype | A Subroutine prototype.
  FormatIdentifier | A format identifier.
  FormatBody | A format body.

## Constructor & Destructor Documentation

QsciLexerPerl::QsciLexerPerl | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerPerl with parent parent. parent is typically the QsciScintilla instance.

virtual QsciLexerPerl::~QsciLexerPerl | ( |  | ) | `[virtual]`

Destroys the QsciLexerPerl instance.

## Member Function Documentation

const char* QsciLexerPerl::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements QsciLexer.

const char* QsciLexerPerl::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements QsciLexer.

QColor QsciLexerPerl::defaultColor | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  defaultPaper()

Reimplemented from QsciLexer.

bool QsciLexerPerl::defaultEolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from QsciLexer.

QFont QsciLexerPerl::defaultFont | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from QsciLexer.

QColor QsciLexerPerl::defaultPaper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  defaultColor()

Reimplemented from QsciLexer.

const char* QsciLexerPerl::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

QString QsciLexerPerl::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

void QsciLexerPerl::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

bool QsciLexerPerl::foldComments | ( |  | ) | const

Returns true if multi-line comment blocks can be folded.

See also:
  setFoldComments()

bool QsciLexerPerl::foldCompact | ( |  | ) | const

Returns true if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

virtual void QsciLexerPerl::setFoldComments | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then multi-line comment blocks can be folded. The default is false.

See also:
  foldComments()

virtual void QsciLexerPerl::setFoldCompact | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also:
  foldCompact()

bool QsciLexerPerl::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix |
| ) |  |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.

bool QsciLexerPerl::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix |
| ) |  |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.